openSUSE Security Update : tiff (openSUSE-2017-53)

high Nessus Plugin ID 96378
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote openSUSE host is missing a security update.

Description

The tiff library and tools were updated to version 4.0.7 fixing various bug and security issues.

- CVE-2014-8127: out-of-bounds read with malformed TIFF image in multiple tools [bnc#914890]

- CVE-2016-9297: tif_dirread.c read outside buffer in
_TIFFPrintField() [bnc#1010161]

- CVE-2016-3658: Illegal read in TIFFWriteDirectoryTagLongLong8Array function in tiffset / tif_dirwrite.c [bnc#974840]

- CVE-2016-9273: heap overflow [bnc#1010163]

- CVE-2016-3622: divide By Zero in the tiff2rgba tool [bnc#974449]

- CVE-2016-5652: tiff2pdf JPEG Compression Tables Heap Buffer Overflow [bnc#1007280]

- CVE-2016-9453: out-of-bounds Write memcpy and less bound check in tiff2pdf [bnc#1011107]

- CVE-2016-5875: heap-based buffer overflow when using the PixarLog compressionformat [bnc#987351]

- CVE-2016-9448: regression introduced by fixing CVE-2016-9297 [bnc#1011103]

- CVE-2016-5321: out-of-bounds read in tiffcrop / DumpModeDecode() function [bnc#984813]

- CVE-2016-5323: Divide-by-zero in _TIFFFax3fillruns() function (null ptr dereference?) [bnc#984815]

This update was imported from the SUSE:SLE-12:Update update project.

Solution

Update the affected tiff packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1007280

https://bugzilla.opensuse.org/show_bug.cgi?id=1010161

https://bugzilla.opensuse.org/show_bug.cgi?id=1010163

https://bugzilla.opensuse.org/show_bug.cgi?id=1011103

https://bugzilla.opensuse.org/show_bug.cgi?id=1011107

https://bugzilla.opensuse.org/show_bug.cgi?id=914890

https://bugzilla.opensuse.org/show_bug.cgi?id=974449

https://bugzilla.opensuse.org/show_bug.cgi?id=974840

https://bugzilla.opensuse.org/show_bug.cgi?id=984813

https://bugzilla.opensuse.org/show_bug.cgi?id=984815

https://bugzilla.opensuse.org/show_bug.cgi?id=987351

Plugin Details

Severity: High

ID: 96378

File Name: openSUSE-2017-53.nasl

Version: 3.5

Type: local

Agent: unix

Published: 1/10/2017

Updated: 1/19/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: Medium

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

CVSS v3

Risk Factor: High

Base Score: 7.8

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libtiff-devel, p-cpe:/a:novell:opensuse:libtiff-devel-32bit, p-cpe:/a:novell:opensuse:libtiff5, p-cpe:/a:novell:opensuse:libtiff5-32bit, p-cpe:/a:novell:opensuse:libtiff5-debuginfo, p-cpe:/a:novell:opensuse:libtiff5-debuginfo-32bit, p-cpe:/a:novell:opensuse:tiff, p-cpe:/a:novell:opensuse:tiff-debuginfo, p-cpe:/a:novell:opensuse:tiff-debugsource, cpe:/o:novell:opensuse:42.1, cpe:/o:novell:opensuse:42.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 1/7/2017

Reference Information

CVE: CVE-2014-8127, CVE-2016-3622, CVE-2016-3658, CVE-2016-5321, CVE-2016-5323, CVE-2016-5652, CVE-2016-5875, CVE-2016-9273, CVE-2016-9297, CVE-2016-9448, CVE-2016-9453